# [Mustard UI](https://kylelogue.github.io/mustard-ui)
Mustard is a **starter CSS framework** that actually looks good.

[![npm](https://img.shields.io/npm/v/mustard-ui.svg)](https://www.npmjs.com/package/mustard-ui)
[![npm](https://img.shields.io/npm/l/mustard-ui.svg)](https://www.npmjs.com/package/mustard-ui)

## Getting Started
Mustard UI is currently in release v1.0.  Try it out today and help us fine tune the look and feel for future versions!

To get started, you can follow our [Installation Guide](https://kylelogue.github.io/mustard-ui/docs/installation) or use one of the methods provided below:

**Install Using NPM:**
```bash
npm install mustard-ui
```

**Include via a CDN::**
```html
<link rel="stylesheet" href="https://unpkg.com/mustard-ui@latest/dist/css/mustard-ui.min.css">
```

**Clone the Repo and Install Dependencies:**
```bash
git clone https://github.com/kylelogue/mustard-ui.git

```

**Re-build the SCSS files:**
```
npm run build
```

**Open the Sandbox Environment:**
```
npm run dev
```

You can start configuring the colors to suit your needs by first changing the `$brand-color` variable located in `src/scss/base/base.scss` from `$color-green-500` to `$color-indigo-500` or any other color you'd like.  There are lots of colors that can be found in the `src/scss/vars/colors.scss` file.

## CSS Only
Mustard is a CSS framework and does not include any javascript.  We do this in an effort to keep the filesize small.

You can use the framework as is or customize it via the component variables located at the top of each component scss file.


## Documentation
Full documentation is provided on our website located on this repositories [GitHub Page](https://kylelogue.github.io/mustard-ui) and also located in the `/docs` folder as static html.

## Become a Contributor
Mustard UI is provided free of cost because of the contributions that are made from developers like you. If you'd like to see this project grow, we would love it if you could submit a pull request to the project on GitHub.

## Copyright and License
Copyright 2018 Kyle Logue.  This project is licensed under the MIT License.
